SCSI_TRACK_QUEUE_FUL(9)

NAME
scsi_track_queue_full - track QUEUE_FULL events to adjust queue depth

SYNOPSIS

int scsi_track_queue_full(struct scsi_device * sdev, int depth);

ARGUMENTS

sdev
    SCSI Device in question

depth
    Current number of outstanding SCSI commands on this device, not counting the one returned as QUEUE_FULL.

DESCRIPTION

This function will track successive QUEUE_FULL events on a specific SCSI device to determine if and when there is a need to adjust the queue depth on the device.

RETURNS

0 - No change needed, >0 - Adjust queue depth to this new depth, -1 - Drop back to untagged operation using host->cmd_per_lun as the untagged command depth

LOCK STATUS

None held on entry

NOTES

Low level drivers may call this at any time and we will do “The Right Thing.” We are interrupt context safe.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT